<?php
// VIEW
$WZOR=<<<EOT
<table>
<thead>
  <tr><th>Osoba</th><th>Stanowisko</th><th>Pokoj</th></tr>
</thead>
<tbody>
{{WIERSZE}}</tbody>
</table>
EOT;

// Pomocnicze
$Tytuly = [
	"MGR" => "mgr", 
	"DR"  => "dr", 
	"DRH" => "dr hab.", 
	"PDH" => "prof. dr hab"
];

$Stanowiska = [
	"ADM" => "administracyjne", 
	"ASY" => "asystent", 
	"DOK" => "doktorant",
	"ADI" => "adiunkt", 
	"PZW" => "profesor zwyczajny", 
	"PNZ" => "profesor nadzwyczajny",
	"PEM" => "profesor emerytowany", 
	"UZL" => "umowa zlecenie", 
	"NB"  => "etat naukowo-badawczy"
];
	
function ExpandAbbr($a, $L){
	return (array_key_exists($a,$L)?$L[$a]:$a);
}

// MODEL

function PobierzOsoby(){
	$osoby = [];
	
	$db = new mysqli('localhost','root','1234','wppt');
	if (is_bool($db)){
		die("Połączenie nieudane.");  //Nie w wersji produkcyjnej
	} else {
		$db->set_charset("utf8");
		$query = $db->query("SELECT * FROM osoby ORDER BY Nazwisko");
		
		while ($osoba = $query->fetch_assoc()) {
			$osoby[] = $osoba;
		}
		$db->close();
	}
	return $osoby;
}

// CONTROLLER

function GenerujOsoby($osoby){
	global $WZOR, $Tytuly, $Stanowiska;
	$LINIA = "  <tr><td>{{O1}} {{O2}} {{O3}}</td><td>{{S}}</td><td>{{P}}</td></tr>\n";
	$S = "";
	foreach($osoby as $osoba){
	$S.= str_replace(
			["{{O1}}", "{{O2}}", "{{O3}}", "{{S}}", "{{P}}"],
			[	ExpandAbbr($osoba["Tytul"],$Tytuly),
				$osoba["Imie"],
				$osoba["Nazwisko"],
				ExpandAbbr($osoba["Stanowisko"],$Stanowiska),
				$osoba["Pokoj"]
			 ],
			 $LINIA);
	}
	return str_replace("{{WIERSZE}}",$S, $WZOR);
}
?>

<!DOCTYPE html>
<html lang="pl">
<head>
  <meta charset="utf-8">
  <title>Test MYSQL</title>
  <meta name="description" content= "Pierwsze zabawy z MySQL">
  <meta name="keywords" content= "WPPT, PWr, programy, algorytmy, PHP, MYSQL">  
  <meta name="viewport"  content= "width=device-width, initial-scale=1.0"/>
<style>
body{
	padding:1em;
}
table {
    border-collapse: collapse;
}

table, th, td {
   /* border: 1px solid black; */
}

th {
    background-color: #4CAF50;
    color: white;
}

tbody > tr:nth-child(even) {background-color: #a0FFaA}
tbody > tr:hover {background-color: #f5f5f5}
tbody > tr:hover::after{
	display: table-cell;
	font-weight:bold; 
	background:white;
	height:35px; 
	color: #4CAF50; 
	vertical-align: middle;
	content:'←'
}
th, td {
    padding: 0.5em 1em;
    text-align: left;
}
</style>
</head>

<body>
<h1>Test MySQL - 03</h1>
<p>
Lista pracowników Katedry Informatyki WPPT PWr.
</p>
<?php echo GenerujOsoby(PobierzOsoby()); ?>
</body>
</html>
 