<?php
require_once("PHP/ProcPom.php");
require_once("PHP/MyDatabase.php");
require_once("PHP/MyPage.php");

$WZOR=<<<EOT
<table>
<thead>
  <tr><th>Osoba</th><th>Stanowisko</th><th>Pokoj</th></tr>
</thead>
<tbody>
{{WIERSZE}}</tbody>
</table>
EOT;

$LINIA = "  <tr><td>{{O1}} {{O2}} {{O3}}</td><td>{{S}}</td><td>{{P}}</td></tr>\n";

function PobierzOsoby(){ 
	$db = myDB();
	if ($db!= false){
		return myDbSelect($db,"SELECT * FROM osoby ORDER BY Nazwisko");
	} else {
		return [];
	}
}

function GenerujOsoby($osoby){
	global $WZOR, $LINIA;
	$S = "";
	foreach($osoby as $osoba){
	$S.= str_replace(
			["{{O1}}", "{{O2}}", "{{O3}}", "{{S}}", "{{P}}"],
			[	Tytu2Str($osoba["Tytul"]),
				$osoba["Imie"],
				$osoba["Nazwisko"],
				Stanowisko2Str($osoba["Stanowisko"]),
				$osoba["Pokoj"]
			 ],
			 $LINIA);
	}
	return str_replace("{{WIERSZE}}",$S, $WZOR);
}

$P = new WPPTPage('2',"Kadra Katedry Informatyki WPPT PWr");
$P->SetDescription("Wykaz pracowników Katedry Informatyki Wydziału PPT Politechniki Wrocławskiej");
$P->AddKeywords("kadra, nauczyciele akademiccy");
$P->AddCSS("kadra.css");

echo $P->Begin();
?>

<h1>Lista pracowników</h1>

<p>
Lista pracowników zawiera personel naukowo - dydaktyczny, doktoranów, personel 
administracyjny oraz osoby realizujące granty naukowo - badawcze w naszej Katedrze.
</p>

<?php echo GenerujOsoby(PobierzOsoby()); ?>

<hr>
<p>
Strzałka przy hover dla wierszy tabeli jest zbędnym dodatkiem: 
dodana została tutaj tylko dla celów treningowych z selektorem <code>::after</code>.
</p>

<?php
 echo  $P->End();
?>  