<?php
require_once("PHP/MyDatabase.php");
require_once("PHP/MyPage.php");

$LINIA = <<<EOT
<div class='wpis'>
<p> 
<span class='wpis-data'>{{Data}}:</span> 
<span class='wpis-tytul'>{{TYTUL}}</span>
</p>
<p class='info'>{{INFO}}</p>
<p>
<a href="myblogB.php?do=edit&id={{ID}}"   class="btn btn-a smooth">Edytuj</a> 
<a href="myblogB.php?do=delete&id={{ID}}" class="btn btn-b smooth" onclick="return confirmDelete()";>Usuń</a>
</p>
</div>
EOT;

function PobierzWpisy(){ 
	$db = myDB();
	if ($db!= false){
		return myDbSelect($db,"SELECT * FROM blog ORDER BY Data DESC LIMIT 10");
	} else {
		return [];
	}
}

function GenerujWpisy($wpisy){
	global $LINIA;
	$S = "";
	foreach($wpisy as $wpis){
	$S.= str_replace(["{{Data}}", "{{TYTUL}}", "{{INFO}}", "{{ID}}"], 
		[$wpis['Data'], $wpis['Tytul'], $wpis['Info'], $wpis['Id']], 
		$LINIA);
	}
	return $S;
}

$P = new WPPTPage('2',"Kadra Katedry Informatyki WPPT PWr");
$P->SetDescription("Mój blog");
$P->AddKeywords("opinie, uwagi");
$P->AddCSS("blog.css");

echo $P->Begin();
?>
<script language="JavaScript" type="text/javascript">
function confirmDelete(){
    return confirm('Czy jesteś pewien, że chcesz usunąć rekord?\nPamiętaj, że jest to operacja nieodwracalna !!!');
}
</script>

<h1>Skrót CRUD</h1>
<p>
<strong>CRUD</strong>: create, read, update and delete - cztery podstawowe funkcje w aplikacjach korzystających z pamięci trwałej (np. z bazy danych).
</p>
<h2>Aplikacje bazodanowe</h2> 
<table id="opisCRUD">
<tr>
<th>Działanie</th><th>SQL</th>
</tr>
<tr>
<td>Create</td><td>INSERT </td>
</tr>
<tr>
<td>Read</td><td>SELECT </td>
</tr>
<tr>
<td>Update</td><td>UPDATE</td>
</tr>
<tr>
<td>Delete</td><td>DELETE</td>
</tr>

</table>
</p>
<h1>Mój blog</h1>
<?php echo GenerujWpisy(PobierzWpisy()); ?>

<hr>
<p>
<a class="btn btn-a" href="myBlogB.php?do=new">Dodaj wpis</a> 
</p>

<?php echo  $P->End();?>  